Bug 1334579 - [abrt] ibus-typing-booster: hunspell_table.py:243:update_transliterated_strings:KeyError: 't-latn-post'
Summary: [abrt] ibus-typing-booster: hunspell_table.py:243:update_transliterated_strin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3d8ff53fc7cb994b4a7b8e062e2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-10 05:58 UTC by Mike FABIAN
Modified: 2016-05-16 22:26 UTC (History)
3 users (show)

Fixed In Version: ibus-typing-booster-1.4.5-1.fc24 ibus-typing-booster-1.4.5-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-14 23:26:27 UTC


Attachments (Terms of Use)
File: backtrace (845 bytes, text/plain)
2016-05-10 05:58 UTC, Mike FABIAN
no flags Details
File: environ (1.55 KB, text/plain)
2016-05-10 05:58 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2016-05-10 05:58:15 UTC
Version-Release number of selected component:
ibus-typing-booster-1.4.3-1.fc24

Additional info:
reporter:       libreport-2.7.0
cmdline:        /usr/bin/python3 /usr/share/ibus-typing-booster/engine/main.py --ibus
executable:     /usr/share/ibus-typing-booster/engine/main.py
kernel:         4.5.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
hunspell_table.py:243:update_transliterated_strings:KeyError: 't-latn-post'

Traceback (most recent call last):
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 1166, in do_process_key_event
    result = self._process_key_event (key)
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 1507, in _process_key_event
    self._editor.insert_string_at_cursor([key.msymbol])
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 287, in insert_string_at_cursor
    self.update_transliterated_strings()
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 243, in update_transliterated_strings
    self._transliterators[ime].transliterate(
KeyError: 't-latn-post'

Local variables in innermost frame:
self: <hunspell_table.editor object at 0x7fa06682d7b8>
ime: 't-latn-post'

Comment 1 Mike FABIAN 2016-05-10 05:58:19 UTC
Created attachment 1155537 [details]
File: backtrace

Comment 2 Mike FABIAN 2016-05-10 05:58:21 UTC
Created attachment 1155538 [details]
File: environ

Comment 3 Fedora Update System 2016-05-10 09:51:06 UTC
ibus-typing-booster-1.4.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2711130eb4

Comment 4 Fedora Update System 2016-05-10 09:51:36 UTC
ibus-typing-booster-1.4.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-485980ebfa

Comment 5 Fedora Update System 2016-05-12 09:36:50 UTC
ibus-typing-booster-1.4.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2711130eb4

Comment 6 Fedora Update System 2016-05-12 09:37:32 UTC
ibus-typing-booster-1.4.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-529bc22b23

Comment 7 Fedora Update System 2016-05-12 09:43:31 UTC
ibus-typing-booster-1.4.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-485980ebfa

Comment 8 Fedora Update System 2016-05-12 09:45:38 UTC
ibus-typing-booster-1.4.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-be3a6e636d

Comment 9 Fedora Update System 2016-05-12 22:26:57 UTC
ibus-typing-booster-1.4.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-be3a6e636d

Comment 10 Fedora Update System 2016-05-13 05:32:15 UTC
ibus-typing-booster-1.4.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-529bc22b23

Comment 11 Fedora Update System 2016-05-14 23:26:17 UTC
ibus-typing-booster-1.4.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-05-16 22:26:18 UTC
ibus-typing-booster-1.4.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.